extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de categorias"
    - var CabeceraListado = ["Clase", "Grupo", "Categoria", "Descripción"]
    - var CantidadListado = "{{ tClasificaciones3.length }}"
    - var TituloDatos = "Detalles de la Categoria"
    - var TamanoColeccion = "tClasificaciones3.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr( *ngFor="let tClasificacionFor of tClasificaciones3 | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th.text-nowrap
            button(type="button", [disabled]="!tPermisoEliminar", (click)="Seleccionar_Clasificacion_Eliminar(tClasificacionFor)").btn.btn-sm.btn-danger.mr-1
                i.fas.fa-trash-alt
            button(type="button", (click)="Seleccionar_Clasificacion(tClasificacionFor, jv)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs.text-nowrap [{{ tClasificacionFor.Codclasificacion1 }}] {{ tClasificacionFor.Descripcion_Clasificacion1  | slice:0:20 }}
        td
            h6.text-xs.text-nowrap [{{ tClasificacionFor.Codclasificacion2 }}] {{ tClasificacionFor.Descripcion_Clasificacion2  | slice:0:20 }}
        td
            h6.text-xs {{ tClasificacionFor.Codclasificacion3 }}
        td
            h6.text-xs.text-nowrap {{ tClasificacionFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-clasificacion3-cabecera([(Clasificacion3)]="tClasificacionActual")

block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true").nav-link.active Información
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          app-fw-clasificacion3-detalles(#DetallesClasificacion3="",
                                        [(Clasificacion3)]="tClasificacionActual",
                                        [Clasificaciones1]="tClasificaciones1",
                                        [Configuracion]="tConfiguracion",
                                        [Nuevo]="tNuevo",
                                        [(ManejarImagen)]="tManejarImagen")#DetallesClasificacion3
